## tdesudo-trinity 14.0.6

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 2.8 )


#### general package setup

project( tdesudo )
set( VERSION R14.0.6 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS "Enable all optional support" OFF                                          )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL "Build all" ON                             )
option( BUILD_DOC "Build documentation" ${BUILD_ALL}         )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( ${PROJECT_NAME} )
tde_conditional_add_subdirectory( BUILD_DOC doc         )
tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po ) 


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

## tdesudo-trinity 14.0.4

=== debian/changelog ===
tdesudo-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:59:55 +0200

tdesudo-trinity (4:2.5.1-4ubuntu0) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 Jul 2009 16:08:00 -0600

tdesudo-trinity (4:2.5.1-3ubuntu8) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 01 March 2009 23:25:00 -0600

tdesudo-trinity (4:2.5.1-3ubuntu6) intrepid; urgency=low

  * Added -trinity suffix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 04 Nov 2008 08:49:00 -0600

tdesudo (2.5.1-0ubuntu3) hardy; urgency=low

  * Improved kubuntu_02_spaced_args.patch:
    - Now deals with -c command option too
  * Added kubutu_04_nice_password_prompt.patch:
    - Fixed dialog when typing commands like "ls *"

 -- Anthony Mercatante <tonio@ubuntu.com>  Mon, 21 Apr 2008 09:20:30 +0200

tdesudo (2.5.1-0ubuntu2) hardy; urgency=low

  * Added kubuntu_02_spaced_args.patch:
    - Closes LP: #209831
  * Added kubuntu_03_export_kdesycoca.patch:
    - Closes LP: #175909

 -- Anthony Mercatante <tonio@ubuntu.com>  Thu, 17 Apr 2008 23:47:16 +0200

tdesudo (2.5.1-0ubuntu1) hardy; urgency=low

  * New upstream release. Fixes issue building towards gcc 4.3.0

 -- Anthony Mercatante <tonio@ubuntu.com>  Fri, 28 Mar 2008 15:27:57 +0100

tdesudo (2.5-0ubuntu1) hardy; urgency=low

  * New upstream release. Closes LP: #203690

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue, 18 Mar 2008 23:49:19 +0100

tdesudo (2.4-0ubuntu1) hardy; urgency=low

  * New upstream release. Closes LP: #187053

 -- Anthony Mercatante <tonio@ubuntu.com>  Mon, 18 Feb 2008 13:43:57 +0100

tdesudo (2.3-0ubuntu1) hardy; urgency=low

  * New upstream release

 -- Anthony Mercatante <tonio@ubuntu.com>  Sun, 17 Feb 2008 02:34:43 +0100

tdesudo (2.2-0ubuntu1) hardy; urgency=low

  * New upstream release

 -- Anthony Mercatante <tonio@ubuntu.com>  Mon, 04 Feb 2008 20:07:55 +0100

tdesudo (2.1-0ubuntu1) hardy; urgency=low

  * New upstream release.

 -- Anthony Mercatante <tonio@ubuntu.com>  Thu, 24 Jan 2008 13:44:16 +0100

tdesudo (2.0-0ubuntu1) hardy; urgency=low

  * New upstream release :
    - Closes LP: #157043, #162823, #144970, #148255,#172749, #173319
  * Fixed packaging to divert both binary and manpage.

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue, 04 Dec 2007 16:41:58 +0100

tdesudo (1.4-0ubuntu1) hardy; urgency=low

  * New upstream release

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue, 20 Nov 2007 12:46:56 +0100

tdesudo (1.3-0ubuntu1) hardy; urgency=low

  * New upstream release. Closes LP: #163417

 -- Anthony Mercatante <tonio@ubuntu.com>  Mon, 19 Nov 2007 20:36:49 +0100

tdesudo (1.2-0ubuntu2) hardy; urgency=low

  * Reupload as the build farm should now be fixed

 -- Anthony Mercatante <tonio@ubuntu.com>  Mon, 12 Nov 2007 12:22:07 +0100

tdesudo (1.2-0ubuntu1) hardy; urgency=low

  * New upstream release, fixes the user's $HOME usage
    potential corrupting files issue

 -- Anthony Mercatante <tonio@ubuntu.com>  Sat, 10 Nov 2007 12:58:57 +0100

tdesudo (1.1-0ubuntu1) gutsy; urgency=low

  * Initial release

 -- Anthony Mercatante <tonio@ubuntu.com>  Fri, 01 Jun 2007 01:04:36 +0200

=== debian/control ===
Source: tdesudo-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, tdelibs14-trinity-dev, docbook2x, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: tdesudo-trinity
Architecture: any
Depends: ${shlibs:Depends}, sudo, sudo-trinity
Replaces: kdesudo-kde3 (<< 4:14.0.0~), kdesudo-trinity (<< 4:14.0.0~)
Breaks: kdesudo-kde3 (<< 4:14.0.0~), kdesudo-trinity (<< 4:14.0.0~)
Description: sudo frontend for Trinity
 KdeSudo is a graphical frontend for the sudo utility.
 It allows you to run programs as another user by entering your password.

## tdesudo-trinity 14.0.5

=== debian/changelog ===
tdesudo-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 08:50:16 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include debian/cdbs/kde.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib --with-extra-includes=/opt/trinity/include/tde

DEB_INSTALL_MANPAGES_tdesudo-trinity = tdesudo-trinity.1

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

build/tdesudo-trinity::
	docbook2x-man debian/tdesudo-trinity.1.docbook
	mv tdesudo.1 tdesudo-trinity.1

clean::
	rm -f tdesudo-trinity.1

post-patches:: debian/stamp-bootstrap

debian/stamp-bootstrap:
ifneq "$(wildcard /usr/share/libtool/ltmain.sh)" ""
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/config/ltmain.sh)" ""
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/build-aux/ltmain.sh)" ""
	cp -f /usr/share/libtool/build-aux/ltmain.sh admin/ltmain.sh
endif
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

## tdesudo-trinity 14.0.6

=== debian/changelog ===
tdesudo-trinity (4:14.0.6-0ubuntu17.10.0+0) artful; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 02:51:36 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
-Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, tdelibs14-trinity-dev, docbook2x, automake, autoconf, libtool, libltdl-dev
+Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, cmake, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 
 Package: tdesudo-trinity

## tdesudo-trinity 14.0.8

=== debian/changelog ===
tdesudo-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 11 Apr 2020 01:07:54 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
-Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, cmake, tdelibs14-trinity-dev
+Build-Depends: debhelper (>= 9~), quilt, cdbs, cmake, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 
 Package: tdesudo-trinity

## tdesudo-trinity 14.0.10

=== debian/changelog ===
tdesudo-trinity (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: tdesudo-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Build-Depends: debhelper (>= 9~), quilt, cdbs, cmake, tdelibs14-trinity-dev
 Standards-Version: 3.8.4

## tdesudo-trinity 14.0.11

=== debian/changelog ===
tdesudo-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#tdesudo

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 20 Oct 2021 16:53:04 +0200

## tdesudo-trinity 14.0.12

=== debian/changelog ===
tdesudo-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#tdesudo

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 26 Mar 2022 23:09:40 +0100

## tdesudo-trinity 14.0.13

=== debian/changelog ===
tdesudo-trinity (4:14.0.13-0debian10.0.0+0) buster; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#tdesudo

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 24 Jun 2022 05:35:09 +0200

=== debian/control ===
Source: tdesudo-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build, tdelibs14-trinity-dev
Standards-Version: 3.8.4

Package: tdesudo-trinity
Architecture: any
Depends: ${shlibs:Depends}, sudo, sudo-trinity
Replaces: kdesudo-trinity (<< 4:14.0.0~)
Breaks: kdesudo-trinity (<< 4:14.0.0~)
Description: sudo frontend for Trinity
 KdeSudo is a graphical frontend for the sudo utility.
 It allows you to run programs as another user by entering your password.

## tdesudo-trinity 14.1.0

=== debian/changelog ===
tdesudo-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#tdesudo

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## tdesudo-trinity 14.1.1

=== debian/changelog ===
tdesudo-trinity (4:14.1.1-0debian9.0.0+0) stretch; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#tdesudo

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 25 Jul 2023 05:57:10 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build, tdelibs14-trinity-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 
 Package: tdesudo-trinity

## tdesudo-trinity 14.1.2

=== debian/changelog ===
tdesudo-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#tdesudo

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 21 Mar 2024 09:33:10 +0100

## tdesudo-trinity 14.1.3

=== debian/changelog ===
tdesudo-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#tdesudo

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 15:23:57 +0200

## tdesudo-trinity 14.1.4

=== debian/changelog ===
tdesudo-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#tdesudo

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## tdesudo-trinity 14.1.5~pre2

=== debian/changelog ===
tdesudo-trinity (4:14.1.5~pre2-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for ee74a6b067c8d0d317ea7c14873ab9db15785161
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdesudo

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tdesudo-trinity 14.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,16 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8 )
+##### set project version ########################
+
+include( TDEVersion )
+cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
+tde_set_project_version( )
 
 
 #### general package setup
 
 project( tdesudo )
-set( VERSION R14.0.6 )
 
 
 #### include essential cmake modules
@@ -29,7 +32,6 @@
 
 #### include our cmake modules
 
-set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
 include( TDEMacros )
 
 
@@ -69,11 +71,14 @@
 ##### directories
 
 add_subdirectory( ${PROJECT_NAME} )
-tde_conditional_add_subdirectory( BUILD_DOC doc         )
-tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po ) 
+
+
+##### other data ################################
+
+tde_conditional_add_project_docs( BUILD_DOC )
+tde_conditional_add_project_translations( BUILD_TRANSLATIONS )
 
 
 ##### write configure files
 
 configure_file( config.h.cmake config.h @ONLY )
-

=== tdesudo/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### tdesudo (executable)

tde_add_executable( ${PROJECT_NAME} AUTOMOC

  SOURCES
        tdesudo.cpp
        main.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     tdesu-shared
     
  DESTINATION ${BIN_INSTALL_DIR}
)

=== debian/changelog ===
tdesudo-trinity (4:14.1.5-0ubuntu24.10.0+0) oracular; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdesudo

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
Source: tdesudo-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
Standards-Version: 3.8.4

Package: tdesudo-trinity
Architecture: any
Depends: ${shlibs:Depends}, sudo, sudo-trinity
Replaces: kdesudo-kde3 (<< 4:14.0.0~), kdesudo-trinity (<< 4:14.0.0~)
Breaks: kdesudo-kde3 (<< 4:14.0.0~), kdesudo-trinity (<< 4:14.0.0~)
Description: sudo frontend for Trinity
 KdeSudo is a graphical frontend for the sudo utility.
 It allows you to run programs as another user by entering your password.

## tdesudo-trinity 14.1.6~pre0

=== debian/changelog ===
tdesudo-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for ee74a6b067c8d0d317ea7c14873ab9db15785161
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdesudo

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tdesudo-trinity 14.1.6~pre1

=== debian/changelog ===
tdesudo-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 35bd09d8ddbbc6d693b663456f11ad49c8d8afee
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdesudo

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:00:15 +0100

## tdesudo-trinity 14.1.6~pre2

=== debian/changelog ===
tdesudo-trinity (4:14.1.6~pre2-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 23506e05ee44cdfa22fbcc38d3f063787683be13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdesudo

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 11 Jan 2026 22:32:11 +0100

## tdesudo-trinity 14.2.0~pre21

=== debian/changelog ===
tdesudo-trinity (4:14.2.0~pre21-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for cff1d41edcea788c9d0f282441525221cd86ebf6
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdesudo

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## tdesudo-trinity 14.2.0~pre22

=== debian/changelog ===
tdesudo-trinity (4:14.2.0~pre22-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 49f5620b4609006c973be48c60c9c7ea6d77bf87
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdesudo

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:04:49 +0100

## tdesudo-trinity 14.2.0~pre23

=== debian/changelog ===
tdesudo-trinity (4:14.2.0~pre23-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for f1bcec26e7fad9c353f3d2669ffd51d86ba3061b
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdesudo

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 11 Jan 2026 03:51:04 +0100
